cURL
curl --request GET \
--url https://api.timbal.ai/orgs/{org_id}/billing/budgets \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.timbal.ai/orgs/{org_id}/billing/budgets"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.timbal.ai/orgs/{org_id}/billing/budgets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"budgets": [
{
"budget_type": "<string>",
"limit_credits": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"current_credits": 123,
"id": "<string>",
"period_end": "2023-11-07T05:31:56Z",
"period_start": "2023-11-07T05:31:56Z",
"project_id": "<string>",
"project_name": "<string>",
"role_id": "<string>",
"role_name": "<string>",
"updated_at": "2023-11-07T05:31:56Z"
}
]
}Billing
Get Credit Budgets
Read credit budgets for the organization.
GET
/
orgs
/
{org_id}
/
billing
/
budgets
cURL
Authorizations
Timbal API key. Obtain your API key from the Timbal platform settings. See Authentication for more information.
Path Parameters
Query Parameters
When set, return at most the project budget for this project (0 or 1 rows).
When set, return at most the role budget for this role (0 or 1 rows).
Response
Budgets
Show child attributes
Show child attributes
⌘I